Bug 1033116 - wrong exit code (code of 0) when exit status of 5 expected.
wrong exit code (code of 0) when exit status of 5 expected.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: PackageKit (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 10:09 EST by smatula
Modified: 2013-12-12 10:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-12 10:50:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description smatula 2013-11-21 10:09:46 EST
Description of problem:
When running pkcon in the following situations. Command is executed but actual result is of none or nothing is needed to be done. Expected a return code of 5 -  'Nothing useful was done.' But a status of 0 is returned.

pkcon repo-enable  a already enabled repo.
pkcon repo-disable a already disabled repo.
pkcon get-depends setup   (no depends - no results)
pkcon get-requires mc     (no requires - no results)


Version-Release number of selected component (if applicable):
PackageKit-0.8.9-8.el7

How reproducible:
always

Steps to Reproduce:
1. open terminal
2. Run one of the 4 commands (scenarios listed above)
3. 

Actual results:
Exit status code of 0

Expected results:
Exit status code of 5

Additional info:
Comment 2 Richard Hughes 2013-11-22 05:26:34 EST
(In reply to smatula from comment #0)
> pkcon repo-enable  a already enabled repo.
> pkcon repo-disable a already disabled repo.

This probably should return exit code 5, although isn't a huge problem IMO.

> pkcon get-depends setup   (no depends - no results)
> pkcon get-requires mc     (no requires - no results)

These are tasks, and so we never perform an action. It's probably correct to say that by showing no results the return code is success, i.e. we showed the user what they wanted to see. This should return 0 on success always.

Richard.
Comment 3 Matthias Clasen 2013-12-11 22:24:48 EST
we're not going to get pkcon fixes for 7.0. yum is the recommended commandline client for software installation, anyway
Comment 4 RHEL Product and Program Management 2013-12-12 10:50:13 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.